org.h2.util

## Class ColumnNamerConfiguration

- java.lang.Object
- - org.h2.util.ColumnNamerConfiguration

    public class ColumnNamerConfiguration
    extends java.lang.Object

The configuration for the allowed column names.

### Constructor Summary

Constructors
Constructor and Description
`ColumnNamerConfiguration(int maxIdentiferLength, java.lang.String regularExpressionMatchAllowed, java.lang.String regularExpressionMatchDisallowed, java.lang.String defaultColumnNamePattern, boolean generateUniqueColumnNames)`

### Method Summary

Methods
`void` `configure(Mode.ModeEnum modeEnum)` Configure the rules.
`void` `configure(java.lang.String stringValue)` Configure the column namer.
`java.util.regex.Pattern` `getCompiledRegularExpressionMatchAllowed()`
`java.util.regex.Pattern` `getCompiledRegularExpressionMatchDisallowed()`
`static ColumnNamerConfiguration` `getDefault()`
`java.lang.String` `getDefaultColumnNamePattern()`
`int` `getMaxIdentiferLength()`
`java.lang.String` `getRegularExpressionMatchAllowed()`
`java.lang.String` `getRegularExpressionMatchDisallowed()`
`boolean` `isGenerateUniqueColumnNames()`
`void` `setCompiledRegularExpressionMatchAllowed(java.util.regex.Pattern compiledRegularExpressionMatchAllowed)`
`void` `setCompiledRegularExpressionMatchDisallowed(java.util.regex.Pattern compiledRegularExpressionMatchDisallowed)`
`void` `setDefaultColumnNamePattern(java.lang.String defaultColumnNamePattern)`
`void` `setGenerateUniqueColumnNames(boolean generateUniqueColumnNames)`
`void` `setMaxIdentiferLength(int maxIdentiferLength)`
`void` `setRegularExpressionMatchAllowed(java.lang.String regularExpressionMatchAllowed)`
`void` `setRegularExpressionMatchDisallowed(java.lang.String regularExpressionMatchDisallowed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnNamerConfiguration

    public ColumnNamerConfiguration(int maxIdentiferLength,
                            java.lang.String regularExpressionMatchAllowed,
                            java.lang.String regularExpressionMatchDisallowed,
                            java.lang.String defaultColumnNamePattern,
                            boolean generateUniqueColumnNames)

### Method Detail

#### getMaxIdentiferLength

    public int getMaxIdentiferLength()

#### setMaxIdentiferLength

    public void setMaxIdentiferLength(int maxIdentiferLength)

#### getRegularExpressionMatchAllowed

    public java.lang.String getRegularExpressionMatchAllowed()

#### setRegularExpressionMatchAllowed

    public void setRegularExpressionMatchAllowed(java.lang.String regularExpressionMatchAllowed)

#### getRegularExpressionMatchDisallowed

    public java.lang.String getRegularExpressionMatchDisallowed()

#### setRegularExpressionMatchDisallowed

    public void setRegularExpressionMatchDisallowed(java.lang.String regularExpressionMatchDisallowed)

#### getDefaultColumnNamePattern

    public java.lang.String getDefaultColumnNamePattern()

#### setDefaultColumnNamePattern

    public void setDefaultColumnNamePattern(java.lang.String defaultColumnNamePattern)

#### getCompiledRegularExpressionMatchAllowed

    public java.util.regex.Pattern getCompiledRegularExpressionMatchAllowed()

#### setCompiledRegularExpressionMatchAllowed

    public void setCompiledRegularExpressionMatchAllowed(java.util.regex.Pattern compiledRegularExpressionMatchAllowed)

#### getCompiledRegularExpressionMatchDisallowed

    public java.util.regex.Pattern getCompiledRegularExpressionMatchDisallowed()

#### setCompiledRegularExpressionMatchDisallowed

    public void setCompiledRegularExpressionMatchDisallowed(java.util.regex.Pattern compiledRegularExpressionMatchDisallowed)

#### configure

    public void configure(java.lang.String stringValue)

Configure the column namer.

Parameters:
  `stringValue` - the configuration

#### getDefault

    public static ColumnNamerConfiguration getDefault()

#### isGenerateUniqueColumnNames

    public boolean isGenerateUniqueColumnNames()

#### setGenerateUniqueColumnNames

    public void setGenerateUniqueColumnNames(boolean generateUniqueColumnNames)

#### configure

    public void configure(Mode.ModeEnum modeEnum)

Configure the rules.

Parameters:
  `modeEnum` - the mode